Lavalite package that provides slott/game management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `game/slott/game`.

    "game/slott/game": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Game\Slott/game\Providers\Slott/gameServiceProvider::class,

And also add it to alias

    'Slott/game'  => Game\Slott/game\Facades\Slott/game::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Game\\Slott/gameTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Game\Slott/game\Providers\Slott/gameServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Game\Slott/game\Providers\Slott/gameServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Game\Slott/game\Providers\Slott/gameServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/slott/game/{modulename}

**User**

    http://path-to-route-folder/user/slott/game/{modulename}

**Public**

    http://path-to-route-folder/slott/games


### API endpoints

**List**

    http://path-to-route-folder/api/user/slott/game/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/slott/game/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/slott/game/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/slott/game/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/slott/game/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/slott/game/{modulename}/{slug}
    METHOD: GET